Subject: Re: [PATCH v2 0/3] gnu: wlroots: update on mesa-updates
From: John Kehayias <[email-masked]>
To: Rutherther <[email-masked]>
Cc: [email-masked]
Date: Mon, 09 Sep 2024 03:31:41 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Thanks for the patches! I've applied them to mesa-updates as 108aee2706, 715399c84f, and c1ca70a980 with some minor changes. Though note with rebasing these hashes will change. The most significant was reworking the last patch, detailed below. (Sorry for not sending diffs against your patches, but you can see the committed versions.)

On Sun, Sep 08, 2024 at 06:26 PM, Rutherther wrote:

> I've changed the order of the commits to first remove
> hwdata patch, as it was no longer needed. I've also
> added changelog style, sorry for not sending it
> with that on first try. This is based on feedback
> I got from podiki in #guix IRC channel.
>

Thanks for the changes. For changelog, some details below, but do see the manual for some helpers (like yasnippet in Emacs) and use the git log as reference.

> Rutherther (3):
>   gnu: wlroots: Remove hwdata patch

I applied this second as it went more as a start to the wlroots updates. For changelog, be sure to use fields (what variable or record was changed in the file) and this one didn't really need commentary. Though fine to include, I opted to simplify here.

>   gnu: wayland: Update to 1.23.1

I applied this first. Use periods (and double spaces) in the first line and for every change. Again, variable names go in the changelog.

>   gnu: wlroots: add 0.18
>

Here I added myself as a coauthor for the following changes: did chain inheritance (typically what we do and makes for less repeated work as things change), cleaned up wlroots-0.17 a bit for things that aren't needed, renamed all current wlroots usage to wlroots-0.17 as there were just a few. For the changelog, again use variable and field names; I cleaned up the comment a little and added one about the inconsistent names/file-names for older wlroots just as a note.

Hope that gets everything and I didn't mess anything up! Thanks again for your work here and I'll see how it looks on mesa-updates.

John

>  gnu/local.mk                                  |  1 -
>  gnu/packages/freedesktop.scm                  |  4 +-
>  .../patches/wlroots-hwdata-fallback.patch     | 46 -------------------
>  gnu/packages/wm.scm                           | 30 +++++++++---
>  4 files changed, 25 insertions(+), 56 deletions(-)
>  delete mode 100644 gnu/packages/patches/wlroots-hwdata-fallback.patch
>
>
> base-commit: fafd0245505fad7629ec98cef8d15e6e478f3f98